Install docker 1.2 on Amazon Linux AMI release 2014.03

I’m trying to install discourse forum on the Amazon Linux AMI release 2014.03. To install that forum I should use docker 1.2 or more but when I type “yum install docker” I getting version 1.1.2-1.0.amzn1 from amazon. So how can I download and install the last version from https://github.com/docker/docker?

  • EC2 User Data runs script but does not boot up application
  • docker COPY not working when deploying with docker-machine
  • Auth0 OWIN API not validating JWT token when published via Docker Container on AWS EC2
  • Dokku Port configuration problems EC2
  • Terraform unable to get docker to join swarm
  • Docker uses all memory and crashes the system
  • Docker hiding IP of calling container [closed]
  • Rsync (or ssh) to a remote docker container on EC2
  • Connecting a Dockerized MongoDb instance, behing a reverse Nginx proxy on EC2
  • datadog agent not reachable from inside docker container
  • Setup secured Jenkins master with docker
  • Why does my AWS ECS task require docker api 1.18?
  • One Solution collect form web for “Install docker 1.2 on Amazon Linux AMI release 2014.03”

    I found answer on my question here: https://github.com/docker/docker/issues/7968

    $ yum --enablerepo epel-testing install docker-io
    
    Docker will be the best open platform for developers and sysadmins to build, ship, and run distributed applications.